<?php

namespace App\Entities\Customer;

use App\Entities\CommonEntity;

abstract class CustomerEntity extends CommonEntity
{
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->nullableFields = [
            ...$this->nullableFields,
            'user_uid',
        ];
    }

    final public function getUserUid(): ?int
    {
        return $this->user_uid;
    }
}
